Cupti: CUpti_ActivityOverhead Struct Reference

# CUpti_ActivityOverhead Struct Reference

The kinds of activity records. More...

## Data Fields
uint64_t | end
CUpti_ActivityKind | kind
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind
CUpti_ActivityOverheadKind | overheadKind
uint64_t | start

## Detailed Description

Each activity record kind represents information about a GPU or an activity occurring on a CPU or GPU. Each kind is associated with a activity record structure that holds the information associated with the kind.

See also:
  CUpti_ActivityOverhead

  CUpti_ActivityDevice

  CUpti_ActivityDevice2

  CUpti_ActivityDevice3

  CUpti_ActivityDevice4

  CUpti_ActivityKernel

  CUpti_ActivityKernel2

  CUpti_ActivityKernel3

  CUpti_ActivityKernel4

  CUpti_ActivityKernel5

  CUpti_ActivityKernel6

  CUpti_ActivityKernel7

  CUpti_ActivityKernel8

  CUpti_ActivityMemcpy

  CUpti_ActivityMemcpy3

  CUpti_ActivityMemcpy4

  CUpti_ActivityMemcpyPtoP

  CUpti_ActivityMemcpyPtoP2

  CUpti_ActivityMemcpyPtoP3

  CUpti_ActivityMemset

  CUpti_ActivityMemset2

  CUpti_ActivityMemset3

  CUpti_ActivityMemory2

  CUpti_ActivityMemoryPool

  CUpti_ActivityMarker

  CUpti_ActivityGlobalAccess

  CUpti_ActivityGlobalAccess2

  CUpti_ActivityBranch

  CUpti_ActivityPCSampling

  CUpti_ActivityPCSampling2

  CUpti_ActivityUnifiedMemoryCounter

  CUpti_ActivityNvLink

  CUpti_ActivityNvLink2

  CUpti_ActivityNvLink3 The activity record for CUPTI and driver overheads. (Deprecated in CUDA 12.2) This activity record provides CUPTI and driver overhead information (CUPTI_ACTIVITY_OVERHEAD). These records are now reported using CUpti_ActivityOverhead2

## Field Documentation

uint64_t CUpti_ActivityOverhead::end

The end timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.

CUpti_ActivityKind CUpti_ActivityOverhead::kind

The activity record kind, must be CUPTI_ACTIVITY_OVERHEAD.

CUpti_ActivityObjectKindId CUpti_ActivityOverhead::objectId

The identifier for the activity object. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityOverhead::objectKind

The kind of activity object that the overhead is associated with.

CUpti_ActivityOverheadKind CUpti_ActivityOverhead::overheadKind

The kind of overhead, CUPTI, DRIVER, COMPILER etc.

uint64_t CUpti_ActivityOverhead::start

The start timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.